This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1467620 - [Docs][Upgrade][4.0] Change 'subscription-manager repos --disable=*' in chapter 3.2
[Docs][Upgrade][4.0] Change 'subscription-manager repos --disable=*' in chapt...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation (Show other bugs)
4.0.7
Unspecified Unspecified
high Severity urgent
: ovirt-4.1.4
: ---
Assigned To: Byron Gravenorst
Tahlia Richardson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-04 07:22 EDT by Jiri Belka
Modified: 2017-07-10 02:15 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-10 02:15:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Docs
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Belka 2017-07-04 07:22:58 EDT
Description of problem:

https://access.redhat.com/documentation/en-us/red_hat_virtualization/4.0/html/upgrade_guide/upgrading_to_red_hat_virtualization_manager_4.0 has 'subscription-manager repos --disable=*' in text for upgrading Red Hat Enterprise Linux hosts.

The command above would cause also base OS channel would be disabled. It seems like bad pattern... You probably wanted to do:

  subscription-manager repos --disable=rhel-7-server-rhev-mgmt-agent-rpms

as above is from 3.6 installation guide and 4.x "vdsm" channels distinguish from it with include of version (ie. 'rhel-7-server-rhv-4-mgmt-agent-rpms').  

Version-Release number of selected component (if applicable):
4.0

How reproducible:
100%

Steps to Reproduce:
1. read 3.2 chapter for info to upgrade RH EL hosts
2.
3.

Actual results:
'subscription-manager repos --disable=*' would disable all repos, ie. also base OS repo

Expected results:
SM should not disable mandatory channels, ie. base OS channel.

Additional info:
Comment 1 Lucy Bopf 2017-07-06 06:50:50 EDT
Assigning to Byron for review.

Note You need to log in before you can comment on or make changes to this bug.